/* Social list ======================= */

:root {
  --social-list-color: var(--color-primary);
  --social-list-color-white: var(--color-white);
  --social-list-color-yellow: var(--color-yellow);

  --icon-youtube-width: 30px;
  --icon-instagram-width: 24px;
  --icon-vk-width: 34px;
  --icon-facebook-width: 16px;
}

.social-list {
  display: flex;
  align-items: center;
  margin-left: -25px;
  color: var(--social-list-color);
}

.social-list--inverted {
  color: var(--social-list-color-white);

  .social-list__link {

    &:hover {
      color: var(--social-list-color-yellow);
    }
  }
}

.social-list__item {
  display: inline-flex;
  align-items: center;
  margin-left: 25px;

  @media (--tablet-max) {
    margin-left: 20px;
  }
}

.social-list__link {
  display: flex;
  align-items: center;
  color: currentColor;

  &:hover {
    color: var(--social-list-color-white);
  }

  .icon {

    &-youtube {
      width: var(--icon-youtube-width);
      height: 24px;
    }

    &-instagram {
      width: var(--icon-instagram-width);
      height: 24px;
    }

    &-vk {
      width: var(--icon-vk-width);
      height: 24px;
    }

    &-facebook {
      width: var(--icon-facebook-width);
      height: 24px;
    }
  }
}
/* ================ end social list */
